@import url('https://fonts.googleapis.com/css?family=Josefin+Sans');
html,
body {
    height: 100%;
    background-color: white;
}

.wrap {
    min-height: 100%;
    width: auto;
    height: auto;
    /*margin: 0 auto -60px;*/
    /*padding: 0 0 60px;*/
}

.wrap > .container {
    padding: 70px 15px 20px;
}


.footer {
    height: auto;
    background-color: #821e82;
    color: white;
    border-top: 1px solid #ddd;
    padding-top: 20px;
    /*position: absolute;*/
    /*bottom: 0px;*/
    width: 100%;
}


.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}


@media(max-width:767px) {
    .nav li > form > button.logout {
         display:block;
         text-align: left;
         width: 100%;
         padding: 10px 15px;
     }
}

@media only screen and (max-width: 481px) {
    #menu-mobile {
        /*position: fixed;*/
        top: 0px;
        /*position: fixed;*/
        text-align: center;
        margin: 10px;
    }
    div.homeContentForUser {
        font-size: x-small;
        align-content: left;
        padding: 3px;
        margin: 3px;
    }
    .footer {
        font-size: xx-small;
    }
    .general-light, .general-dark{
        padding: 2px;
        margin: 2px;
    }

}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

#menu-mobile {
    font-family: 'Josefin Sans', sans-serif;
    top: -5px;
    width: 100%;
    text-align: center;
    color: #400450;
    font-size: 18px;
    padding: 15px;
    background: white;
    border: 5px;
    border-color: #821e82;
    margin: 3px;

}

/*li{*/
     /*font-size: 18px;*/
     /*background: black;*/
 /*}*/
/*li > a {*/
    /*color: white;*/
/*}*/

.menu{
    font-size: 14px;
    /*float: left;*/
    background: #821e82;
}

/*.menu:hover{*/
    /*font-size: 22px;*/
    /*float: left;*/
    /*background: #821e82;*/

/*}*/

.menu > li > a{
    color: white;
}
.menu > li > a:hover{
    background-color: #d3a7db;
    color: #821e82;
}

.dropdown-menu {
    /*width: 100%;*/
    text-align: center;
    left: 5px;
    right: 5px;
    top: auto;
    overflow-y:auto;
    overflow-x:hidden;
    height:80%;
    /*z-index: 100;*/
    /*position: fixed;*/
}

.homeContentForUser > div{
    font-family: "Comic Sans MS", cursive, sans-serif;
    /*width: 300px;*/
    text-align: center;
    font-size: inherit;
    font-weight: 900;
    /*height: 300px;*/
    padding: 50px;
    margin: 10px;
    border: 4px #d3a7db;
    background-color: #821e82;
    color: white;
    align-content: center;
}

.homeContentForUser > div > button{
    font-size: 20px;
    position: absolute;
    right: 20px;
    bottom: 20px;
    background-color: #821e82;
}

.profile_photo_min{
    width: auto;
    height: 150px;
}

/*всплывающее окно при наведении*/
.poster{
    position:relative;
    margin:100px auto;
    background:#ff6600;
    height:200px;
    width:150px;
}
.descr{
    display:none;
    margin-left:-350px;
    padding:10px;
    margin-top:17px;
    background:#f3f3f3;
    height:200px;
    -moz-box-shadow:0 5px 5px rgba(0,0,0,0.3);
    -webkit-box-shadow:0 5px 5px rgba(0,0,0,0.3);
    box-shadow:0 5px 5px rgba(0,0,0,0.3);
}
.poster:hover .descr{
    display:block;
    position:absolute;
    top:120px;
    z-index:9999;
    width:400px;
}

.smallNumberInput {
    width: 100px;
}
/* Показывать полный текст при наведении*/
.truncate {
    max-width: 300px !important;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.truncate:hover{
    overflow: visible;
    white-space: normal;
    width: auto;
}
/* Символы в круге*/
.incube{
    border-radius:10%;
    background:#821e82;
    text-align:center;
    color:#d3a7db;
}
.incube-invert{
    border-radius:10%;
    background:#d3a7db;
    text-align:center;
    color:#821e82;
}

/*Главная страница*/

.general-dark, .general-light{
    font-family: "Comic Sans MS", cursive, sans-serif;
    text-align: center;
    margin: 20px;
    padding: 30px;
}

.general-dark{
    color: white;
    background-color: #400450;
}

.general-light{
    color: #400450;
    background-color: white;
}

.general-dark > label, .general-light > label{
    font-size: large;
}

.contacts{
    font-family: "Comic Sans MS", cursive, sans-serif;
}


